package cn.hanghui.outapi.platform.tenant.entity.dto.proof;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.proof
 * @class ProvisionalIdentityProofDeviceUpdateMiniDto
 * @date 2024/5/13 上午11:23
 * @description
 */
@Data
public class ProvisionalIdentityProofDeviceUpdateMiniDto implements Serializable {

    //基本信息配置
    @ApiModelProperty(value = "设备编号", required = true)
    @NotBlank(message = "请输入设备sn")
    private String sn;

    @ApiModelProperty(value = "token", required = true)
    @NotBlank(message = "请输入token")
    private String token;

    @ApiModelProperty(value = "所修改内容的类型 0：采集配置 1：查询地址设置 2：推送地址设置 3：功能设置 4：超时时长设置 5：语音设置 6：系统设置", required = true)
    @NotBlank(message = "请传入所修改内容的类型")
    private Integer modifyType;
    //采集配置
    @ApiModelProperty(value = "启用支付宝刷脸功能 false-不启用 true-启用(默认)")
    private Boolean useAlipayFace;

    @ApiModelProperty(value = "是否启用无证登记 默认：false")
    private Boolean noIdcardRegister;

    @ApiModelProperty(value = "无证是否输入手机号 默认：true")
    private Boolean noIdcardInputPhone;

    //查询地址设置
    @ApiModelProperty(value = "获取办证记录地址")
    private String identityProofRecordUrl;

    //推送地址设置
    @ApiModelProperty(value = "办证记录推送地址")
    private String identityProofRecordPushUrl;

    //功能设置
    @ApiModelProperty(value = "是否打印临时证明")
    private Boolean printIdentityProof;

    @ApiModelProperty(value = "是否启用风险人核查 默认：false")
    private Boolean riskCheck;

    //超时时长设置
    @ApiModelProperty(value = "二维码授权超时时长 20（秒）")
    private Integer authQrcodeTimeout;

    @ApiModelProperty(value = "输入身份证超时时间 30（秒）")
    private Integer inputIdcardTimeout;

    @ApiModelProperty(value = "输入手机号超时时间 15（秒）")
    private Integer inputPhoneTimeout;

    @ApiModelProperty(value = "成功结果页超时时间（普通版） 10（秒）")
    private Integer commonSuccessResultPageTimeout;

    @ApiModelProperty(value = "成功结果页超时时间（打印版） 5（秒）")
    private Integer printSuccessResultPageTimeout;

    @ApiModelProperty(value = "失败结果页超时时间（获取三要素失败） 10（秒）")
    private Integer userinfoFailedResultPageTimeout;

    @ApiModelProperty(value = "失败结果页超时时间（命中风险人员） 10（秒）")
    private Integer riskFailedResultPageTimeout;

    @ApiModelProperty(value = "失败结果页超时时间（其他） 5（秒）")
    private Integer commonFailedResultPageTimeout;

    @ApiModelProperty(value = "刷脸超时时间（秒）")
    private Integer faceTimeout;
    @ApiModelProperty(value = "1v1比对超时时间（秒）")
    private Integer oneToOneTimeout;
    @ApiModelProperty(value = "联网查询超时时间（秒）")
    private Integer connectSearchTimeout;

    //语音设置
    @ApiModelProperty(value = "支付宝刷脸人脸比对成功提示语音 默认: 比对成功")
    private String faceSuccessVoice;

    @ApiModelProperty(value = "支付宝刷脸人脸比对成功提示语音 默认: 比对失败，请再试一次或尝试其他方式办理")
    private String faceFailVoice;

    @ApiModelProperty(value = "办理成功语音提示 默认:办理成功")
    private String identityProofSuccessVoice;

    @ApiModelProperty(value = "打印证明提示音 默认:正在打印临时身份证明")
    private String printIdentityProofVoice;

    @ApiModelProperty(value = "输入身份证提示音语 默认: 请输入身份证")
    private String inputIdcardVoice;

    @ApiModelProperty(value = "输入手机号提示音语 默认: 请输入手机号")
    private String inputPhoneVoice;

    @ApiModelProperty(value = "联网信息查询提示音语 默认: 正在联网信息查询，请耐心等待")
    private String connectSearchVoice;

    //系统设置
    @ApiModelProperty(value = "设备管理员密码")
    private String mpassword;

    @ApiModelProperty(value = "语音音量0-100 默认：80")
    private Integer voiceVolume;


}
